Subject: Re: Building git 2.4.5 on AIX 6.1 problems

From: Jeff King <[email-masked]>
Date: Fri, 10 Jul 2015 01:06:43 -0400

On Fri, Jul 10, 2015 at 04:32:37AM +0000, John Norris wrote:

> But there are a few archive commands before I get to linking
> credentials-store. Is there something special about credentials store?

Not really. It is just the first program alphabetically, so it comes
first in the Makefile. You can try "make git" and you'll probably see
similar problems linking git (or if you don't, then it is a sign our
Makefile is broken for external programs versus the main git binary).

> And is the collect2 an AIX library or general library used by git?

It's a gcc thing:

  https://gcc.gnu.org/onlinedocs/gccint/Collect2.html

-Peff